Public Member Functions

# LanguageFileWriter Struct Reference

Class for writing a language to disk. More...

Inheritance diagram for LanguageFileWriter:

## Public Member Functions
| LanguageFileWriter (const char *filename)
| Open a file to write to.
void | WriteHeader (const LanguagePackHeader *header)
void | Finalise ()
| Finalise the writing.
void | Write (const byte *buffer, size_t length)

## Detailed Description

Class for writing a language to disk.

Definition at line 339 of file strgen.cpp.

## Constructor & Destructor Documentation

LanguageFileWriter::LanguageFileWriter | ( | const char * | filename | ) | `[inline]`

Open a file to write to.

Parameters:

  | filename | The file to open.

Definition at line 344 of file strgen.cpp.

## Member Function Documentation

void LanguageFileWriter::Finalise | ( |  | ) | `[inline]`

Finalise the writing.

Reimplemented from FileWriter.

Definition at line 353 of file strgen.cpp.

References FileWriter::fh.

The documentation for this struct was generated from the following file:

- src/strgen/strgen.cpp